Ponder.registry((event) => {
    event.create(['solarcraft:solar_energy_generator'])
       
    .scene("solar_generator", "Building the solar generator", "kubejs:solar_generator", (scene, util) => {
        scene.showStructure();
        scene.idle(10)
        scene.text(40, "§9 5x5的结构")
        scene.text(20, "搭建完成请切换魔杖模式为结构检查模式，右键太阳能发生器查看完整性", [2.5, 2, 2.5]).placeNearTarget()

        scene.idle(20)
            scene.showControls(60, [2, 2, 2.5], "down")
                .rightClick()
                .withItem("solarcraft:solar_wand")
                scene.text(40, "请将魔杖切换至查看太阳能量模式查看", [2, 2, 2.5]).placeNearTarget()
        scene.idle(20)
            scene.world.setBlock([-2, 2, 2.5], "solarcraft:solar_generator", false)
            scene.world.showSection([-2, 2, 2.5], Facing.down)
            scene.text(40, "请将魔杖切换至太阳能网络连接模式链接太阳能中继器", [-2, 2, 2.5]).placeNearTarget()

        scene.idle(80)   
        scene.text(80, "白天才会工作生成太阳能量。注意：由于光束渲染直视会出现渲染错误，尽可能将太阳能量储存至太阳核心后关闭它", [2.5, 2, 2.5]).placeNearTarget()
  

    })

   

   
   




});  